slice2cpp(1)

NAME
slice2cpp - The Slice to C++ compiler.

SYNOPSIS
slice2cpp [options] [files]

DESCRIPTION
slice2cpp compiles Slice files to C++. Full documentation for slice2cpp is available online at:
https://doc.zeroc.com/ice/3.6/language-mappings/c++-mapping/slice2cpp-command-line-options

OPTIONS

-h, --help
    Displays help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

--header-ext EXT
    Changes the file extension for the generated header files from the default h to EXT.

--source-ext EXT
    Changes the file extension for the generated source files from the default cpp to EXT.

--add-header HDR[,GUARD]
    This option adds an include directive for the specified header at the beginning of the generated source file (preceding any other include directives). If GUARD is specified, the include directive is protected by the specified guard.

--include-dir DIR
    Modifies #include directives in source files to prepend the path name of each header file with the directory DIR.

--impl
    Generate sample implementation files. This option will not overwrite an existing file.

--depend
    Prints makefile dependency information to standard output.

--dll-export SYMBOL
    Use SYMBOL to control DLL exports or imports. This option allows you to selectively export or import global symbols in the generated code.

--checksum
    Generate checksums for Slice definitions.

--stream
    Generate streaming helper functions for Slice types.

SEE ALSO
slice2cs(1), slice2freeze(1), slice2freezej(1), slice2html(1), slice2java(1), slice2php(1), slice2py(1), slice2rb(1)